| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::HotPixelContainer Class Reference

## Public Types
enum | Direction { TWODIM_DIRECTION = 0 , VERTICAL_DIRECTION = 1 , HORIZONTAL_DIRECTION = 2 }
enum | InterpolationMethod { AVERAGE_INTERPOLATION = 0 , LINEAR_INTERPOLATION = 1 , QUADRATIC_INTERPOLATION = 2 , CUBIC_INTERPOLATION = 3 }

## Public Member Functions
bool | isDefault () const
bool | operator== (const HotPixelContainer &other) const
void | writeToFilterAction (FilterAction &action, const QString &prefix=QString()) const

## Static Public Member Functions
static HotPixelContainer | fromFilterAction (const FilterAction &action, const QString &prefix=QString())

## Public Attributes
QUrl | blackFrameUrl
InterpolationMethod | filterMethod
QList< HotPixelProps > | hotPixelsList